Passer au contenu principal
GET
/
v1
/
customers
/
{id}
/
usage
List customer usage
curl --request GET \
  --url https://api.hyperline.co/v1/customers/{id}/usage \
  --header 'Authorization: Bearer <token>'
[
  {
    "aggregator_id": "<string>",
    "name": "<string>",
    "unit_name": "<string>",
    "total": 123,
    "count": 123
  }
]

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Paramètres de requête

start_date
string<date-time>
requis

ISO-8601 date string.

Exemple:

"2026-01-01T00:00:00Z"

end_date
string<date-time>
requis

ISO-8601 date string.

Exemple:

"2026-02-01T00:00:00Z"

Réponse

aggregator_id
string
requis

Aggregator ID.

name
string
requis

Display name.

unit_name
string | null
requis

Unit name.

total
number
requis

Total usage over the period.

count
number
requis

Number of events behind the total.